### Method

# WebKit2WebExtension DOMHTMLDocument get_design_mode

deprecated: 2.14

#### Declaration [src]

    gchar*
    webkit_dom_html_document_get_design_mode (
      WebKitDOMHTMLDocument* self
    )

#### Description

No description available.

Deprecated since: 2.14

Use `webkit_dom_document_get_design_mode()` instead.

#### Return value

Type: `gchar*`

A #gchar.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.